import { getUserInitials } from '@dvn/kimlik/api/models/User';
import { Component, h, Host, Prop } from '@stencil/core';
export class DevingenTopBar {
  render() {
    const { user } = this;
    return (h(Host, { class: "d-flex justify-content-between" },
      h("div", null),
      h("div", { class: "user-info-container" },
        h("dvn-dropdown", { placement: "bottomRight", trigger: "click" },
          h("dvn-image", { bordered: true, src: user === null || user === void 0 ? void 0 : user.imageUrl, shape: "circle", text: user ? getUserInitials(user) : '?' }),
          h("div", { slot: "content" },
            h("dvn-menu", { leaned: true },
              h("dvn-menu-item", null,
                h("kimlik-logout-action", null,
                  h("dvn-info-summary", { title: "Logout", width: "120px" })))))))));
  }
  static get is() { return "devingen-top-bar"; }
  static get originalStyleUrls() { return {
    "$": ["./devingen-top-bar.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["devingen-top-bar.css"]
  }; }
  static get properties() { return {
    "user": {
      "type": "unknown",
      "mutable": false,
      "complexType": {
        "original": "User",
        "resolved": "User",
        "references": {
          "User": {
            "location": "import",
            "path": "@dvn/kimlik/api/models"
          }
        }
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      }
    }
  }; }
}
